import React, {useState, useCallback} from 'react';
import ReactDOM from 'react-dom';

const width = 960;
const height = 500;
const circleRadius= 30;

const intialMousePosition = {x: width/2, y: height/2};


const App = () => {
  const [MousePosition, SetMousePosition] = useState(intialMousePosition)
  const handleMouseMove = useCallback((event) => {
  const {clientX, clientY}= event;
  SetMousePosition({x:clientX, y:clientY});
},[SetMousePosition])
  
  return(
  <svg width={width} height={height} onMouseMove = {handleMouseMove}>
      <circle
        cx={MousePosition.x}
        cy={MousePosition.y}
        r={circleRadius}
        />

  </svg>
);
                  };

const rootElement = document.getElementById("root");
ReactDOM.render(<App/ >, rootElement);